# coding: utf-8
import os.path
from setuptools import setup
from junkyardmap import version


def find_files(dirname):
    """ Lameass helper. Man, do i hate file inclusion. maybe i'm just stupid,
        but there seems to be no easy way to do the obvious: "include
        everything under the fucking package dir, except obvious temporary
        files like *.pyc".

        Isn't that, like, the usual case?!
    """
    for dirpath, dirnames, filenames in os.walk(dirname):
        for filename in filenames:
            if not filename.endswith('.pyc'):
                yield os.path.join(dirpath, filename)[len(dirname):].lstrip('/')


setupargs = {
    'name': 'junkyardmap',
    'description': 'A map for your servers',

    'author': 'Philipp Benjamin Köppchen',
    'author_email': 'keppla@flyingelephantsoftware.de',

    'url': 'http://flyingelephantsoftware.de/junkyardmap',
    'license': 'GPL',
    'version': version,

    'entry_points': {
        'console_scripts': [
            'junkyardmap-generate = junkyardmap.generate:main',
            'junkyardmap-connect = junkyardmap.connect:main',
        ]
    },

    'packages': [
        'junkyardmap',
    ],

    'package_data': {
        '': list(find_files('junkyardmap')),
    },

    'zip_safe': False,

    'install_requires': [
        'jinja2',
        'pyyaml',
        'distribute',
    ],
}

if __name__ == '__main__':
    setup(**setupargs)

